set(NETGEN_VERSION "6.2-dev")

get_filename_component(NETGEN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

get_filename_component(NETGEN_DIR "${NETGEN_CMAKE_DIR}/../../../" ABSOLUTE)

set(NETGEN_COMPILE_DEFINITIONS "HAVE_DLFCN_H;NETGEN_VERSION=\"6.2-dev\";TCL;OPENGL;USE_TOGL_2;TOGL_X11;NG_PYTHON;PARALLEL;METIS;OCCGEOMETRY;_OCC64")

get_filename_component(NETGEN_INCLUDE_DIR "${NETGEN_CMAKE_DIR}/../../../include/netgen" ABSOLUTE)
get_filename_component(NETGEN_BINARY_DIR "${NETGEN_CMAKE_DIR}/../../../bin" ABSOLUTE)
get_filename_component(NETGEN_LIBRARY_DIR "${NETGEN_CMAKE_DIR}/../../arm-linux-gnueabi/netgen" ABSOLUTE)
get_filename_component(NETGEN_PYTHON_DIR "${NETGEN_CMAKE_DIR}/../../python3/dist-packages" ABSOLUTE)
get_filename_component(NETGEN_RESOURCE_DIR "${NETGEN_CMAKE_DIR}/../../../share" ABSOLUTE)

set(NETGEN_SOURCE_DIR "/build/netgen-uX5wHc/netgen-6.2.2006+really6.2.1905+dfsg")

set(NETGEN_INCLUDE_DIRS "${NETGEN_INCLUDE_DIR}/include;${NETGEN_INCLUDE_DIR}")
set(NETGEN_CMAKE_THREAD_LIBS_INIT "-lpthread")
set(NETGEN_FFMPEG_LIBRARIES "")
set(NETGEN_JPEG_INCLUDE_DIR "")
set(NETGEN_JPEG_LIBRARIES "")
set(NETGEN_LIBTOGL "Togl")
set(NETGEN_METIS_INCLUDE_DIR "/usr/include")
set(NETGEN_METIS_LIBRARY "/usr/lib/arm-linux-gnueabi/libmetis.so")
set(NETGEN_MKL_LIBRARIES "")
set(NETGEN_MPI_CXX_INCLUDE_PATH "/usr/lib/arm-linux-gnueabi/openmpi/include/openmpi;/usr/lib/arm-linux-gnueabi/openmpi/include")
set(NETGEN_MPI_CXX_LIBRARIES "/usr/lib/arm-linux-gnueabi/openmpi/lib/libmpi_cxx.so;/usr/lib/arm-linux-gnueabi/openmpi/lib/libmpi.so")
set(NETGEN_OCC_INCLUDE_DIR "/usr/include/opencascade")
set(NETGEN_OCC_LIBRARIES_BIN "")
set(NETGEN_OCC_LIBRARIES "/usr/lib/arm-linux-gnueabi/libTKBO.so;/usr/lib/arm-linux-gnueabi/libTKBool.so;/usr/lib/arm-linux-gnueabi/libTKBRep.so;/usr/lib/arm-linux-gnueabi/libTKCAF.so;/usr/lib/arm-linux-gnueabi/libTKCDF.so;/usr/lib/arm-linux-gnueabi/libTKernel.so;/usr/lib/arm-linux-gnueabi/libTKG2d.so;/usr/lib/arm-linux-gnueabi/libTKG3d.so;/usr/lib/arm-linux-gnueabi/libTKGeomAlgo.so;/usr/lib/arm-linux-gnueabi/libTKGeomBase.so;/usr/lib/arm-linux-gnueabi/libTKHLR.so;/usr/lib/arm-linux-gnueabi/libTKIGES.so;/usr/lib/arm-linux-gnueabi/libTKLCAF.so;/usr/lib/arm-linux-gnueabi/libTKMath.so;/usr/lib/arm-linux-gnueabi/libTKMesh.so;/usr/lib/arm-linux-gnueabi/libTKOffset.so;/usr/lib/arm-linux-gnueabi/libTKPrim.so;/usr/lib/arm-linux-gnueabi/libTKService.so;/usr/lib/arm-linux-gnueabi/libTKShHealing.so;/usr/lib/arm-linux-gnueabi/libTKSTEP.so;/usr/lib/arm-linux-gnueabi/libTKSTEP209.so;/usr/lib/arm-linux-gnueabi/libTKSTEPAttr.so;/usr/lib/arm-linux-gnueabi/libTKSTEPBase.so;/usr/lib/arm-linux-gnueabi/libTKSTL.so;/usr/lib/arm-linux-gnueabi/libTKTopAlgo.so;/usr/lib/arm-linux-gnueabi/libTKV3d.so;/usr/lib/arm-linux-gnueabi/libTKXCAF.so;/usr/lib/arm-linux-gnueabi/libTKXDEIGES.so;/usr/lib/arm-linux-gnueabi/libTKXDESTEP.so;/usr/lib/arm-linux-gnueabi/libTKXSBase.so")
set(NETGEN_OCC_LIBRARY_DIR "/usr/lib/arm-linux-gnueabi")
set(NETGEN_OPENGL_LIBRARIES "/usr/lib/arm-linux-gnueabi/libGL.so;/usr/lib/arm-linux-gnueabi/libGLU.so")
set(NETGEN_PYTHON_EXECUTABLE "/usr/bin/python3")
set(NETGEN_PYTHON_INCLUDE_DIRS "/usr/include/python3.9")
set(NETGEN_PYTHON_LIBRARIES "/usr/lib/arm-linux-gnueabi/libpython3.9.so")
set(NETGEN_TCL_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TCL_LIBRARY "/usr/lib/arm-linux-gnueabi/libtcl.so")
set(NETGEN_TK_DND_LIBRARY "")
set(NETGEN_TK_INCLUDE_PATH "/usr/include/tcl")
set(NETGEN_TK_LIBRARY "/usr/lib/arm-linux-gnueabi/libtk.so")
set(NETGEN_X11_X11_LIB "/usr/lib/arm-linux-gnueabi/libX11.so")
set(NETGEN_X11_Xmu_LIB "/usr/lib/arm-linux-gnueabi/libXmu.so")
set(NETGEN_ZLIB_INCLUDE_DIRS "/usr/include")
set(NETGEN_ZLIB_LIBRARIES "/usr/lib/arm-linux-gnueabi/libz.so")

set(NETGEN_USE_GUI ON)
set(NETGEN_USE_PYTHON ON)
set(NETGEN_USE_MPI ON)
set(NETGEN_USE_OCC ON)
set(NETGEN_USE_JPEG OFF)
set(NETGEN_USE_MPEG OFF)
set(NETGEN_INTEL_MIC OFF)
set(NETGEN_INSTALL_PROFILES OFF)
set(NETGEN_USE_CCACHE OFF)

set(NETGEN_PYTHON_RPATH "../../arm-linux-gnueabi/netgen")
set(NETGEN_RPATH_TOKEN "$ORIGIN")

set(NETGEN_INSTALL_DIR_PYTHON lib/python3/dist-packages)
set(NETGEN_INSTALL_DIR_BIN bin)
set(NETGEN_INSTALL_DIR_LIB lib/arm-linux-gnueabi/netgen)
set(NETGEN_INSTALL_DIR_INCLUDE include/netgen)
set(NETGEN_INSTALL_DIR_CMAKE lib/cmake/netgen)
set(NETGEN_INSTALL_DIR_RES share)

include(${CMAKE_CURRENT_LIST_DIR}/netgen-targets.cmake)
message(STATUS "Found Netgen: ${CMAKE_CURRENT_LIST_DIR}")
